cancel
Showing results for 
Search instead for 
Did you mean: 
rpd85
Level 9

Application File Access Protection Rule validation errors

Jump to solution

Hello,

I tried creating a simple rule: In Content protection I chose Application File Access Protection Rule, then I checked Media Burner Application and Windows CD burner, but when I try to Apply the rules, I got the following validation errors:

1)  "The rule uses an application definition named 'Windows CD Burner' which is not backward compatible. This option is not supported by old agents."

     What is considered an "old" agent? The oldest DLP agent version in our environment (which is only on a handful of PCs) is 9.2.0.522. The vast majority of PCs have version 9.2.208.1.

2) "The rule contains 'Content Categories' or 'Tag Groups' which is not backward compatible. This option is not supported by old agents." Same question as above, but in addition, I cannot deselect the 'tag group' or 'content category' option, because then I get an error that says "The rule definition is not complete. You will not be able to enable this rule. You must select at least one tag."

Screenshot is attached. Our ePO version is 4.6.4.

Any assistance is appreciated!

0 Kudos
1 Solution

Accepted Solutions
vimalnavis
Level 13

Re: Application File Access Protection Rule validation errors

Jump to solution

The new AFAP rule features are available from 9.2 and above. Choose No Compatibility.

0 Kudos
4 Replies
vimalnavis
Level 13

Re: Application File Access Protection Rule validation errors

Jump to solution

Change the Backward compatibility to a higher Agent version under Tools->Options. Remember that doing so will cause older versions of the Agent to not receive new policies.

0 Kudos
rpd85
Level 9

Re: Application File Access Protection Rule validation errors

Jump to solution

I have already chosen the highest version that appears in the dropdown menu under Tools->Options: DLP Agent 9.1 and Above.

0 Kudos
vimalnavis
Level 13

Re: Application File Access Protection Rule validation errors

Jump to solution

The new AFAP rule features are available from 9.2 and above. Choose No Compatibility.

0 Kudos
rpd85
Level 9

Re: Application File Access Protection Rule validation errors

Jump to solution

Great, thanks for your help!

0 Kudos